﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Lab8.WpfApp {
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window {

        public IList<Student> Students { get; set; }
        public MainWindow() {
            InitializeComponent();
            Students = new List<Student> {
        new Student(){ FirstName = "Jan",SurName = "Kowalski",Faculty="WIMII",StudentNo=1010},
        new Student(){ FirstName = "Michał",SurName = "Nowak",Faculty="WIMII",StudentNo=1011},
        new Student(){ FirstName = "Jacek",SurName = "Makieta",Faculty="WIMII",StudentNo=1012},
        };
            DataGridStudents.Columns.Add(new DataGridTextColumn() { Header = "First name", Binding = new Binding(path: "FirstName") });
            DataGridStudents.Columns.Add(new DataGridTextColumn() { Header = "Sur name", Binding = new Binding(path: "SurName") });
            DataGridStudents.Columns.Add(new DataGridTextColumn() { Header = "Faculty", Binding = new Binding(path: "Faculty") });
            DataGridStudents.Columns.Add(new DataGridTextColumn() { Header = "Student No.", Binding = new Binding(path: "StudentNo") });
            DataGridStudents.Columns.Add(new DataGridTextColumn() { Header = "Grades", Binding = new Binding(path: "JoinedGrades") });
            DataGridStudents.AutoGenerateColumns = false;
            DataGridStudents.ItemsSource = Students;
        }

        private void DataGrid_SelectionChanged(object sender, SelectionChangedEventArgs e) {
        
        }
    }

    private void BDel_Click(object sender,RoutedEventArgs e) {
        if (DataGridStudents.SelectedItem is Student studentToRemove) {
            Students.Remove(studentToRemove);
            DataGridStudents.Items.Refresh();
        }
    }

    private void BAdd_Click(object sender, RoutedEventArgs e) {
        AddStudentWindow addStudentWindow = new();
        addStudentWindow.ShowDialog();
        if (addStudentWindow.DialogResult == true) {
            Students.Add(addStudentWindow.Student)
        }
        DataGridStudents.Items.Refresh();
    }


    




}
